curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
--header 'Authorization: Bearer <token>'{
"results": [
{
"agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_cluster_name": "My Agent Cluster",
"agent_cluster_cloud_provider": "AWS",
"credentials_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_url": "https://argocd.example.com",
"status": "connected",
"last_checked_at": "2023-11-07T05:31:56Z",
"linked_clusters": [
{
"argocd_cluster_url": "https://kubernetes.default.svc",
"argocd_cluster_name": "https://kubernetes.default.svc",
"qovery_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qovery_cluster_name": "My EKS Cluster",
"qovery_cluster_cloud_provider": "AWS",
"qovery_cluster_type": "MANAGED",
"applications_count": 4
}
],
"unlinked_clusters": [
{
"argocd_cluster_url": "https://old-cluster.example.com",
"argocd_cluster_name": "https://old-cluster.example.com",
"applications_count": 0
}
]
}
]
}Returns one entry per ArgoCD agent cluster that has credentials configured. Each entry lists linked clusters and unlinked clusters. Requires VIEWER role.
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/argoCdDestinationClusterMapping \
--header 'Authorization: Bearer <token>'{
"results": [
{
"agent_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_cluster_name": "My Agent Cluster",
"agent_cluster_cloud_provider": "AWS",
"credentials_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"argocd_url": "https://argocd.example.com",
"status": "connected",
"last_checked_at": "2023-11-07T05:31:56Z",
"linked_clusters": [
{
"argocd_cluster_url": "https://kubernetes.default.svc",
"argocd_cluster_name": "https://kubernetes.default.svc",
"qovery_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qovery_cluster_name": "My EKS Cluster",
"qovery_cluster_cloud_provider": "AWS",
"qovery_cluster_type": "MANAGED",
"applications_count": 4
}
],
"unlinked_clusters": [
{
"argocd_cluster_url": "https://old-cluster.example.com",
"argocd_cluster_name": "https://old-cluster.example.com",
"applications_count": 0
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
ArgoCD instance mapping list
Show child attributes
Was this page helpful?